summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-fps/quake4-demo
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-fps/quake4-demo')
-rw-r--r--games-fps/quake4-demo/Manifest1
-rw-r--r--games-fps/quake4-demo/metadata.xml21
-rw-r--r--games-fps/quake4-demo/quake4-demo-1.0-r1.ebuild88
3 files changed, 110 insertions, 0 deletions
diff --git a/games-fps/quake4-demo/Manifest b/games-fps/quake4-demo/Manifest
new file mode 100644
index 00000000000..167515eb34e
--- /dev/null
+++ b/games-fps/quake4-demo/Manifest
@@ -0,0 +1 @@
+DIST quake4-linux-1.0-demo.x86.run 337276597 SHA256 69e69e8cb22dd1496bcc98dc63f244d35c516c2e770aba64c72275827814bc73 SHA512 c7fa64ca9f95ab61fd02f2d7d3a85c718a5dea9f60a89ba8b46e7500f090fe45bbe498775e41541e33a0bb3483b75da10529755bef3a97d3e362d1c173a02abe WHIRLPOOL 96103978541635dbc5c24718debbc0e2b631a54f2e61ed4960f6c73cc3c10309827c1be7f9d10994e69699956eca77c5ebfc20d612d9f7968cdb16068fcfb6dd
diff --git a/games-fps/quake4-demo/metadata.xml b/games-fps/quake4-demo/metadata.xml
new file mode 100644
index 00000000000..83edc89772b
--- /dev/null
+++ b/games-fps/quake4-demo/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>games</herd>
+<longdescription>
+In a desparate war for Earth's survival against and unrelenting alient enemy,
+the only way to defeat them is to become one of them.
+
+Earth is under seige by the Strogg, a barbaric alien race moving through the
+universe consuming, recycling and annihilating any civilization in their path.
+In a deperate attempt to survive, an armada of Earth's finest warriors is sent
+to take the battle to the Strogg home planet.
+
+You are Matthow Kane, an elite member of Rhino Squad and Eath's valiant invasion
+force. Fight alone, with your squad, or in hover tanks and mechanized walkers
+as you engage in a heroic mission the the heart of the Strogg war machine.
+
+Quake 4 is the fourth installment of the extremely popular and successful Quake
+series by id software. This is the demo version of the commercial game.
+</longdescription>
+</pkgmetadata>
diff --git a/games-fps/quake4-demo/quake4-demo-1.0-r1.ebuild b/games-fps/quake4-demo/quake4-demo-1.0-r1.ebuild
new file mode 100644
index 00000000000..797f157a22a
--- /dev/null
+++ b/games-fps/quake4-demo/quake4-demo-1.0-r1.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils unpacker games
+
+MY_P="quake4-linux-${PV}-demo"
+DESCRIPTION="Sequel to Quake 2, an Id 3D first-person shooter"
+HOMEPAGE="http://www.quake4game.com/"
+SRC_URI="mirror://idsoftware/quake4/demo/${MY_P}.x86.run
+ http://www.3ddownloads.com/Action/Quake%204/Demos/${MY_P}.x86.run
+ mirror://3dgamers/quake4/${MY_P}.x86.run
+ http://filebase.gmpf.de/quake4/${MY_P}.x86.run
+ http://www.holarse.de/mirror/${MY_P}.x86.run
+ http://sonic-lux.net/data/mirror/quake4/${MY_P}.x86.run"
+
+LICENSE="QUAKE4"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="dedicated"
+RESTRICT="strip"
+
+# QUAKE4 NEEDS s3tc support, which can be obtained for OSS drivers via
+# media-libs/libtxc_dxtn and is built into the proprietary drivers.
+# depend optionally on them but elog too, in case a user has both
+# proprietary and OSS drivers installed and sees the segfault.
+
+RDEPEND="sys-libs/glibc
+ sys-libs/libstdc++-v3:5
+ amd64? ( sys-libs/glibc[multilib] sys-libs/libstdc++-v3:5[multilib] )
+ dedicated? ( app-misc/screen )
+ !dedicated? (
+ || (
+ >=media-libs/libtxc_dxtn-1.0.1-r1[abi_x86_32(-)]
+ x11-drivers/nvidia-drivers
+ >=x11-drivers/ati-drivers-8.8.25-r1
+ )
+ >=x11-libs/libX11-1.6.2[abi_x86_32(-)]
+ >=x11-libs/libXext-1.3.2[abi_x86_32(-)]
+ >=media-libs/libsdl-1.2.15-r4[X,opengl,sound,abi_x86_32(-)]
+ )"
+
+S=${WORKDIR}
+dir=${GAMES_PREFIX_OPT}/${PN}
+Ddir=${D}/${dir}
+
+QA_PREBUILT="${dir:1}/quake4.x86
+ ${dir:1}/q4ded.x86"
+
+src_install() {
+ insinto "${dir}"
+ doins License.txt q4icon.bmp version.info
+ dodoc README
+
+ exeinto "${dir}"
+ doexe openurl.sh bin/Linux/x86/q4ded.x86
+ games_make_wrapper ${PN}-ded ./q4ded.x86 "${dir}" "${dir}"
+
+ insinto "${dir}"/q4base
+ doins q4base/*
+
+ if ! use dedicated ; then
+ doexe bin/Linux/x86/quake4.x86
+ games_make_wrapper ${PN} ./quake4.x86 "${dir}" "${dir}"
+ newicon q4icon.bmp ${PN}.bmp || die
+ make_desktop_entry ${PN} "Quake IV (Demo)" /usr/share/applications/${PN}.bmp
+ fi
+
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+
+ if ! use dedicated; then
+ elog "To play the game run:"
+ elog " quake4-demo"
+ echo
+ elog "If you get a segmentation fault or an error regarding"
+ elog "'GL_EXT_texture_compression_s3tc', you can obtain the"
+ elog "necessary support for your mesa drivers by installing"
+ elog "media-libs/libtxc_dxtn (for abi_x86_32 if multilib)."
+ echo
+ fi
+ elog "To start the gameserver, run:"
+ elog " quake4-demo-ded"
+}